package com.njcn.advance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.advance.mapper.RmpEventAdvanceMapper;
import com.njcn.advance.pojo.po.PqsRelevanceLog;
import com.njcn.event.pojo.po.RmpEventDetailAssPO;
import com.njcn.event.pojo.po.RmpEventDetailPO;
import com.njcn.event.pojo.vo.AdvanceEventDetailVO;
import com.njcn.web.pojo.param.BaseParam;

import java.time.LocalDateTime;
import java.util.List;

/**
 * pqs
 *
 * @author cdf
 * @date 2023/6/30
 */
public interface EventRelevantAnalysisService extends IService<RmpEventDetailPO> {

    /**
     *
     * @author cdf
     * @date 2023/6/30
     */
    void processEvents(LocalDateTime startTime,LocalDateTime endTime);


    Page<AdvanceEventDetailVO> querySagEventsPage(BaseParam baseParam);


    /**
     *
     * @author cdf
     * @date 2023/8/11
     */
    Page<RmpEventDetailAssPO> queryEventsAssPage(BaseParam baseParam);

    /**
     *
     * @author cdf
     * @date 2023/8/11
     */
    Page<AdvanceEventDetailVO> queryEventDetailByAssId(String assId,Integer pageNum,Integer pageSize);



    Page<AdvanceEventDetailVO> queryEventByTimeRange(BaseParam baseParam);

    List<AdvanceEventDetailVO> queryEventList(List<String> eventId);

    boolean updateEventToAss(List<String> eventId,String assId);

    boolean delEventToAss(List<String> eventId);
    /**
     *
     * @author cdf
     * @date 2023/8/11
     */
    Page<PqsRelevanceLog> queryRelevantLogPage(BaseParam baseParam);

    /**
     * 删除关联操作记录
     * @author cdf
     * @date 2023/8/11
     */
    boolean delRelevantLog(String id);
}
